# Uses of Class
org.apache.lucene.spatial.prefix.tree.LegacyCell

Packages that use LegacyCell
Package
Description
org.apache.lucene.spatial.prefix.tree
This package is about SpatialPrefixTree and any supporting classes.

- ## Uses of LegacyCell in org.apache.lucene.spatial.prefix.tree

  Subclasses of LegacyCell in org.apache.lucene.spatial.prefix.tree
  Modifier and Type
  Class
  Description
  `protected class`
  `PackedQuadPrefixTree.PackedQuadCell`
  See binary representation in the javadocs of `PackedQuadPrefixTree`.
  `protected class`
  `QuadPrefixTree.QuadCell`
  individual QuadPrefixTree grid cell
  Methods in org.apache.lucene.spatial.prefix.tree that return LegacyCell
  Modifier and Type
  Method
  Description
  `protected abstract LegacyCell`
  LegacyCell.`getSubCell(org.locationtech.spatial4j.shape.Point p)`
  Performant implementations are expected to implement this efficiently by considering the current cell's boundary.